import type * as React from 'react';
declare function Card({ className, size, ...props }: React.ComponentProps<'div'> & {
    size?: 'default' | 'sm';
}): import("react/jsx-runtime").JSX.Element;
declare namespace Card {
    var displayName: string;
}
declare function CardHeader({ className, ...props }: React.ComponentProps<'div'>): import("react/jsx-runtime").JSX.Element;
declare namespace CardHeader {
    var displayName: string;
}
declare function CardTitle({ className, ...props }: React.ComponentProps<'div'>): import("react/jsx-runtime").JSX.Element;
declare namespace CardTitle {
    var displayName: string;
}
declare function CardDescription({ className, ...props }: React.ComponentProps<'div'>): import("react/jsx-runtime").JSX.Element;
declare namespace CardDescription {
    var displayName: string;
}
declare function CardAction({ className, ...props }: React.ComponentProps<'div'>): import("react/jsx-runtime").JSX.Element;
declare namespace CardAction {
    var displayName: string;
}
declare function CardContent({ className, ...props }: React.ComponentProps<'div'>): import("react/jsx-runtime").JSX.Element;
declare namespace CardContent {
    var displayName: string;
}
declare function CardFooter({ className, ...props }: React.ComponentProps<'div'>): import("react/jsx-runtime").JSX.Element;
declare namespace CardFooter {
    var displayName: string;
}
export { Card, CardAction, CardContent, CardDescription, CardFooter, CardHeader, CardTitle, };
